Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706456 - sys-fs/squashfs-tools-4.4 : fails to build with -fno-common or gcc-10
Summary: sys-fs/squashfs-tools-4.4 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo LiveCD Package Maintainers
URL:
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 15:12 UTC by Toralf Förster
Modified: 2020-01-27 12:00 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.13 KB, text/plain)
2020-01-26 15:12 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,99.77 KB, text/plain)
2020-01-26 15:12 UTC, Toralf Förster
Details
environment (environment,66.95 KB, text/plain)
2020-01-26 15:12 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.87 KB, application/x-bzip)
2020-01-26 15:12 UTC, Toralf Förster
Details
sys-fs:squashfs-tools-4.4:20200126-145642.log (sys-fs:squashfs-tools-4.4:20200126-145642.log,9.29 KB, text/plain)
2020-01-26 15:12 UTC, Toralf Förster
Details
/tmp/0001-squashfs-tools-fix-build-failure-against-gcc-10.patch (0001-squashfs-tools-fix-build-failure-against-gcc-10.patch,1.52 KB, patch)
2020-01-26 18:41 UTC, Sergei Trofimovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 15:12:03 UTC
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -std=gnu89  -I. -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -DCOMP_DEFAULT=\"gzip\" -Wall -DGZIP_SUPPORT -DXZ_SUPPORT -DXATTR_SUPPORT -DXATTR_DEFAULT -DREPRODUCIBLE_DEFAULT   -c -o xz_wrapper.o xz_wrapper.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -std=gnu89  -I. -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -DCOMP_DEFAULT=\"gzip\" -Wall -DGZIP_SUPPORT -DXZ_SUPPORT -DXATTR_SUPPORT -DXATTR_DEFAULT -DREPRODUCIBLE_DEFAULT   -c -o xattr.o xattr.c
x86_64-pc-linux-gnu-gcc -O2 -pipe -march=native -fno-common -std=gnu89  -I. -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -DCOMP_DEFAULT=\"gzip\" -Wall -DGZIP_SUPPORT -DXZ_SUPPORT -DXATTR_SUPPORT -DXATTR_DEFAULT -DREPRODUCIBLE_DEFAULT   -c -o read_xattrs.o read_xattrs.c
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed  mksquashfs.o read_fs.o action.o swap.o pseudo.o compressor.o sort.o progressbar.o read_file.o info.o restore.o process_fragments.o caches-queues-lists.o gzip_wrapper.o xz_wrapper.o xattr.o read_xattrs.o -lpthread -lm -lz -llzma -o mksquashfs
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: read_fs.o:(.bss+0x0): multiple definition of `fwriter_buffer'; mksquashfs.o:(.bss+0x400c90): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: read_fs.o:(.bss+0x8): multiple definition of `bwriter_buffer'; mksquashfs.o:(.bss+0x400c98): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 14:26:11 +0000

emerge -qpvO sys-fs/squashfs-tools
[ebuild  N    ] sys-fs/squashfs-tools-4.4  USE="xattr xz -debug -lz4 -lzma -lzo -static -zstd"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 15:12:06 UTC
Created attachment 604672 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 15:12:09 UTC
Created attachment 604674 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 15:12:12 UTC
Created attachment 604676 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 15:12:15 UTC
Created attachment 604678 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 15:12:18 UTC
Created attachment 604680 [details]
sys-fs:squashfs-tools-4.4:20200126-145642.log
Comment 6 Sergei Trofimovich gentoo-dev 2020-01-26 18:38:41 UTC
Proposed fix upstrem: https://github.com/plougher/squashfs-tools/pull/83
Comment 7 Sergei Trofimovich gentoo-dev 2020-01-26 18:41:00 UTC
Created attachment 604786 [details, diff]
/tmp/0001-squashfs-tools-fix-build-failure-against-gcc-10.patch
Comment 8 Jeroen Roovers gentoo-dev 2020-01-27 11:58:33 UTC
(In reply to Sergei Trofimovich from comment #6)
> Proposed fix upstrem: https://github.com/plougher/squashfs-tools/pull/83

um
Comment 9 Larry the Git Cow gentoo-dev 2020-01-27 12:00:14 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a9a132b4df2d619e92909da7ce4701c0e227dcd6

commit a9a132b4df2d619e92909da7ce4701c0e227dcd6
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2020-01-27 11:51:05 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2020-01-27 12:00:11 +0000

    sys-fs/squashfs-tools: Fix CFLAGS=-fno-common
    
    Package-Manager: Portage-2.3.85, Repoman-2.3.20
    Closes: https://bugs.gentoo.org/706456
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 .../squashfs-tools/files/squashfs-tools-4.4-fno-common.patch  | 11 +++++++++++
 sys-fs/squashfs-tools/squashfs-tools-4.4.ebuild               | 11 ++++++-----
 sys-fs/squashfs-tools/squashfs-tools-9999.ebuild              |  9 ++++-----
 3 files changed, 21 insertions(+), 10 deletions(-)